<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="ro">
<head>
<!-- Generated by javadoc (1.8.0_231) on Thu Apr 30 00:38:30 EEST 2020 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>C-Index</title>
<meta name="date" content="2020-04-30">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="C-Index";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-2.html">Prev Letter</a></li>
<li><a href="index-4.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-3.html" target="_top">Frames</a></li>
<li><a href="index-3.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="contentContainer"><a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">I</a>&nbsp;<a href="index-9.html">L</a>&nbsp;<a href="index-10.html">M</a>&nbsp;<a href="index-11.html">O</a>&nbsp;<a href="index-12.html">P</a>&nbsp;<a href="index-13.html">S</a>&nbsp;<a href="index-14.html">T</a>&nbsp;<a href="index-15.html">U</a>&nbsp;<a href="index-16.html">V</a>&nbsp;<a name="I:C">
<!--   -->
</a>
<h2 class="title">C</h2>
<dl>
<dt><a href="../model/Clients.html" title="class in model"><span class="typeNameLink">Clients</span></a> - Class in <a href="../model/package-summary.html">model</a></dt>
<dd>
<div class="block">– contine doua variabile instanta: id-ul clientului (de tip int) si numele clientului (de tip String);
 - clasa mai contine doi constructori (unul cu parametri si celalalt fara), 
 metode de get si set, pentru a accesa si modifica variabilele instanta din exteriorul acestei clase, 
 si metoda toString, folosita pentru afisarea datelor referitoare la un client;</div>
</dd>
<dt><span class="memberNameLink"><a href="../model/Clients.html#Clients-int-java.lang.String-">Clients(int, String)</a></span> - Constructor for class model.<a href="../model/Clients.html" title="class in model">Clients</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../model/Clients.html#Clients--">Clients()</a></span> - Constructor for class model.<a href="../model/Clients.html" title="class in model">Clients</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../dao_package/ClientsAbstractDAO.html" title="class in dao_package"><span class="typeNameLink">ClientsAbstractDAO</span></a> - Class in <a href="../dao_package/package-summary.html">dao_package</a></dt>
<dd>
<div class="block">– extinde clasa AbstractDAO; aceasta clasa nu are variabile instanta si contine doar un constructor;</div>
</dd>
<dt><span class="memberNameLink"><a href="../dao_package/ClientsAbstractDAO.html#ClientsAbstractDAO--">ClientsAbstractDAO()</a></span> - Constructor for class dao_package.<a href="../dao_package/ClientsAbstractDAO.html" title="class in dao_package">ClientsAbstractDAO</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../business_layer/ClientsBLL.html" title="class in business_layer"><span class="typeNameLink">ClientsBLL</span></a> - Class in <a href="../business_layer/package-summary.html">business_layer</a></dt>
<dd>
<div class="block">– contine doua variabile instanta: un obiect de tipul ClientsAbstractDAO, 
 care are rolul de a efectua legatura intre Business Logic Layer si Data Access Layer, 
 si un obiect de tipul ClientsValidation, care are rolul de a valida datele referitoare la un client 
 inainte de efectuarea oricarei operatii cu datele  corespunzatoare clientului; 
 - aceasta clasa contine constructor si cate o metoda pentru fiecare operatie de baza asupra tabelului Clients (adaugarea unui client, 
 stergerea unui client, editarea numelui clientului si vizualizarea tuturor clientilor din tabela Clients);</div>
</dd>
<dt><span class="memberNameLink"><a href="../business_layer/ClientsBLL.html#ClientsBLL-dao_package.ClientsAbstractDAO-business_layer.ClientsValidation-">ClientsBLL(ClientsAbstractDAO, ClientsValidation)</a></span> - Constructor for class business_layer.<a href="../business_layer/ClientsBLL.html" title="class in business_layer">ClientsBLL</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../business_layer/ClientsValidation.html" title="class in business_layer"><span class="typeNameLink">ClientsValidation</span></a> - Class in <a href="../business_layer/package-summary.html">business_layer</a></dt>
<dd>
<div class="block">– contine o singura variabila instanta, de tipul Clients, care cuprinde datele referitoare la un client; 
 - pe langa constructor, clasa contine si o metoda care se ocupa cu validarea datelor ce caracterizeaza un client;</div>
</dd>
<dt><span class="memberNameLink"><a href="../business_layer/ClientsValidation.html#ClientsValidation-model.Clients-">ClientsValidation(Clients)</a></span> - Constructor for class business_layer.<a href="../business_layer/ClientsValidation.html" title="class in business_layer">ClientsValidation</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../connection/MyConnection.html#closeConnection-java.sql.Connection-">closeConnection(Connection)</a></span> - Static method in class connection.<a href="../connection/MyConnection.html" title="class in connection">MyConnection</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../connection/MyConnection.html#closePreparedStatement-java.sql.PreparedStatement-">closePreparedStatement(PreparedStatement)</a></span> - Static method in class connection.<a href="../connection/MyConnection.html" title="class in connection">MyConnection</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../connection/MyConnection.html#closeResultSet-java.sql.ResultSet-">closeResultSet(ResultSet)</a></span> - Static method in class connection.<a href="../connection/MyConnection.html" title="class in connection">MyConnection</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../connection/package-summary.html">connection</a> - package connection</dt>
<dd>&nbsp;</dd>
<dt><a href="../presentation/ControllerClients.html" title="class in presentation"><span class="typeNameLink">ControllerClients</span></a> - Class in <a href="../presentation/package-summary.html">presentation</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../presentation/ControllerClients.html#ControllerClients-presentation.ViewClients-">ControllerClients(ViewClients)</a></span> - Constructor for class presentation.<a href="../presentation/ControllerClients.html" title="class in presentation">ControllerClients</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../presentation/ControllerClients.ActionListenerAdd.html" title="class in presentation"><span class="typeNameLink">ControllerClients.ActionListenerAdd</span></a> - Class in <a href="../presentation/package-summary.html">presentation</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../presentation/ControllerClients.ActionListenerBack.html" title="class in presentation"><span class="typeNameLink">ControllerClients.ActionListenerBack</span></a> - Class in <a href="../presentation/package-summary.html">presentation</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../presentation/ControllerClients.ActionListenerDelete.html" title="class in presentation"><span class="typeNameLink">ControllerClients.ActionListenerDelete</span></a> - Class in <a href="../presentation/package-summary.html">presentation</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../presentation/ControllerClients.ActionListenerEdit.html" title="class in presentation"><span class="typeNameLink">ControllerClients.ActionListenerEdit</span></a> - Class in <a href="../presentation/package-summary.html">presentation</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../presentation/ControllerClients.ActionListenerShowAll.html" title="class in presentation"><span class="typeNameLink">ControllerClients.ActionListenerShowAll</span></a> - Class in <a href="../presentation/package-summary.html">presentation</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../presentation/ControllerOrders.html" title="class in presentation"><span class="typeNameLink">ControllerOrders</span></a> - Class in <a href="../presentation/package-summary.html">presentation</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../presentation/ControllerOrders.html#ControllerOrders-presentation.ViewOrders-">ControllerOrders(ViewOrders)</a></span> - Constructor for class presentation.<a href="../presentation/ControllerOrders.html" title="class in presentation">ControllerOrders</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../presentation/ControllerOrders.ActionListenerAdd.html" title="class in presentation"><span class="typeNameLink">ControllerOrders.ActionListenerAdd</span></a> - Class in <a href="../presentation/package-summary.html">presentation</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../presentation/ControllerOrders.ActionListenerBack.html" title="class in presentation"><span class="typeNameLink">ControllerOrders.ActionListenerBack</span></a> - Class in <a href="../presentation/package-summary.html">presentation</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../presentation/ControllerOrders.ActionListenerDelete.html" title="class in presentation"><span class="typeNameLink">ControllerOrders.ActionListenerDelete</span></a> - Class in <a href="../presentation/package-summary.html">presentation</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../presentation/ControllerOrders.ActionListenerEdit.html" title="class in presentation"><span class="typeNameLink">ControllerOrders.ActionListenerEdit</span></a> - Class in <a href="../presentation/package-summary.html">presentation</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../presentation/ControllerOrders.ActionListenerShowAll.html" title="class in presentation"><span class="typeNameLink">ControllerOrders.ActionListenerShowAll</span></a> - Class in <a href="../presentation/package-summary.html">presentation</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../presentation/ControllerProducts.html" title="class in presentation"><span class="typeNameLink">ControllerProducts</span></a> - Class in <a href="../presentation/package-summary.html">presentation</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../presentation/ControllerProducts.html#ControllerProducts-presentation.ViewProducts-">ControllerProducts(ViewProducts)</a></span> - Constructor for class presentation.<a href="../presentation/ControllerProducts.html" title="class in presentation">ControllerProducts</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../presentation/ControllerProducts.ActionListenerAdd.html" title="class in presentation"><span class="typeNameLink">ControllerProducts.ActionListenerAdd</span></a> - Class in <a href="../presentation/package-summary.html">presentation</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../presentation/ControllerProducts.ActionListenerBack.html" title="class in presentation"><span class="typeNameLink">ControllerProducts.ActionListenerBack</span></a> - Class in <a href="../presentation/package-summary.html">presentation</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../presentation/ControllerProducts.ActionListenerDelete.html" title="class in presentation"><span class="typeNameLink">ControllerProducts.ActionListenerDelete</span></a> - Class in <a href="../presentation/package-summary.html">presentation</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../presentation/ControllerProducts.ActionListenerEdit.html" title="class in presentation"><span class="typeNameLink">ControllerProducts.ActionListenerEdit</span></a> - Class in <a href="../presentation/package-summary.html">presentation</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../presentation/ControllerProducts.ActionListenerShowAll.html" title="class in presentation"><span class="typeNameLink">ControllerProducts.ActionListenerShowAll</span></a> - Class in <a href="../presentation/package-summary.html">presentation</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../presentation/ControllerViewStart.html" title="class in presentation"><span class="typeNameLink">ControllerViewStart</span></a> - Class in <a href="../presentation/package-summary.html">presentation</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../presentation/ControllerViewStart.html#ControllerViewStart-presentation.ViewStart-">ControllerViewStart(ViewStart)</a></span> - Constructor for class presentation.<a href="../presentation/ControllerViewStart.html" title="class in presentation">ControllerViewStart</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../presentation/ControllerViewStart.ActionListenerComboBox.html" title="class in presentation"><span class="typeNameLink">ControllerViewStart.ActionListenerComboBox</span></a> - Class in <a href="../presentation/package-summary.html">presentation</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../dao_package/AbstractDAO.html#createDeleteString-java.lang.String-">createDeleteString(String)</a></span> - Method in class dao_package.<a href="../dao_package/AbstractDAO.html" title="class in dao_package">AbstractDAO</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../dao_package/AbstractDAO.html#createInsertString--">createInsertString()</a></span> - Method in class dao_package.<a href="../dao_package/AbstractDAO.html" title="class in dao_package">AbstractDAO</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../dao_package/AbstractDAO.html#createSelectAllString--">createSelectAllString()</a></span> - Method in class dao_package.<a href="../dao_package/AbstractDAO.html" title="class in dao_package">AbstractDAO</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../dao_package/AbstractDAO.html#createSelectString-java.lang.String-">createSelectString(String)</a></span> - Method in class dao_package.<a href="../dao_package/AbstractDAO.html" title="class in dao_package">AbstractDAO</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../dao_package/AbstractDAO.html#createUpdateString-java.lang.String-java.lang.String-">createUpdateString(String, String)</a></span> - Method in class dao_package.<a href="../dao_package/AbstractDAO.html" title="class in dao_package">AbstractDAO</a></dt>
<dd>&nbsp;</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">I</a>&nbsp;<a href="index-9.html">L</a>&nbsp;<a href="index-10.html">M</a>&nbsp;<a href="index-11.html">O</a>&nbsp;<a href="index-12.html">P</a>&nbsp;<a href="index-13.html">S</a>&nbsp;<a href="index-14.html">T</a>&nbsp;<a href="index-15.html">U</a>&nbsp;<a href="index-16.html">V</a>&nbsp;</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-2.html">Prev Letter</a></li>
<li><a href="index-4.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-3.html" target="_top">Frames</a></li>
<li><a href="index-3.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
